#include "MESH_Scene.h"

namespace X3DTK {
namespace MESH {

Scene::Scene()
: X3DGroupingNode()
{
  defineTypeName("Scene");
}

Scene::Scene(const Scene &S)
: X3DGroupingNode(S), _fileName(S._fileName), _history(S._history)
{
}

SFAbstractNode Scene::clone() const
{
  return new Scene(*this);
}

Scene::~Scene()
{
}

void Scene::setFileName(const SFString &file)
{
  _fileName = file;
}

}
}
