#include "AbstractVisitor.h"

#include <iostream>
using namespace std;

namespace X3DTK {

AbstractVisitor::AbstractVisitor()
: X3DComponentVisitor()
{
  defineComponentName("Abstract", "Abstract");

  define(Recorder<X3DAbstractNode>::getEnterFunction(&AbstractVisitor::enterX3DAbstractNode));
  define(Recorder<X3DAbstractNode>::getWalkOnFunction(&AbstractVisitor::walkOnX3DAbstractNode));
  define(Recorder<X3DAbstractNode>::getLeaveFunction(&AbstractVisitor::leaveX3DAbstractNode)); 
}

void AbstractVisitor::enterX3DAbstractNode(SFAbstractNode)
{
}

bool AbstractVisitor::walkOnX3DAbstractNode(SFAbstractNode, SFAbstractNode)
{
  return true;
}

void AbstractVisitor::leaveX3DAbstractNode(SFAbstractNode)
{
}

}

